Subject: Re: bug#29211: XScreenSaver does not recognise password

From: [email-masked] (Ludovic Courtès)
Date: Wed, 08 Nov 2017 21:35:05 +0100

Diego Nicola Barbato <[email-masked]> skribis:

> You are right. `type -P xscreensaver' returns
> `/home/diego/.guix-profile/bin/xscreensaver'.  And if i run
> `/run/setuid-programs/xscreensaver &' instead of `xscreensaver &'
> everything works as expected. 
>
> Apparently my setup should never have worked in the first place.  The
> fact that it did until about two weeks ago led me to think this was a
> bug.

Heheh.  So all you have to do is ‘guix package -r xscreensaver’.

Thanks for confirming!

Ludo’.